%global	repoid		58488
%global	xyzsh_min_ver	1.4.2

Name:			mfiler4
Version:		1.1.8
Release:		1%{?dist}
Summary:		2 pane file manager with a embedded shell

License:		MIT
URL:			http://sourceforge.jp/projects/mfiler4/
Source0:		http://dl.sourceforge.jp/mfiler4/%{repoid}/%{name}-%{version}.tgz

BuildRequires:	ncurses-devel
BuildRequires:	oniguruma-devel
BuildRequires:	readline-devel
BuildRequires:	xyzsh-devel >= %{xyzsh_min_ver}
# write xyzsh dependency explicitly
Requires:		xyzsh >= %{xyzsh_min_ver}

%description
mfiler4 is a 2pane file manager with a embedded shell.

%prep
%setup -q

# Kill -O3
sed -i.optflags \
	-e 's|-O3|-O2|' \
	configure

# Kill -Werror
sed -i.werror \
	-e 's|-Werror||' \
	configure Makefile.in

# Change docdir
sed -i.docdir \
	-e '/^CFLAGS=.*DATAROOTDIR=/s|doc/mfiler4/|doc/xyzsh-%{version}/|' \
	configure

# Don't strip binary
# Keep timestamp
sed -i.bak \
	-e 's|install -m |install -p -m |' \
	-e 's|install -s |install |' \
	Makefile.in

# Umm...
sed -i.inst \
	 -e 's|USAGE.ja |USAGE.ja.txt |' \
	-e 's|USAGE |USAGE.txt |' \
	Makefile.in

%build
%configure \
	--bindir=%{_libexecdir}/%{name}/

make %{?_smp_mflags} -k \
	CC="gcc %optflags" \
	docdir=%{_datadir}/doc/%{name}-%{version}

%install
make install \
	DESTDIR=%{buildroot} \
	docdir=%{_datadir}/doc/%{name}-%{version}

mkdir %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/bash
export PATH=%{_libexecdir}/%{name}:\${PATH}
exec %{_libexecdir}/%{name}/%{name} "\$@"
EOF
chmod 0755 %{buildroot}%{_bindir}/%{name}

%files
%doc	AUTHORS
%lang(ja)	%doc	CHANGELOG
%doc	LICENSE
%doc	README
%lang(ja)	%doc	README.ja
%lang(ja)	%doc	USAGE.ja.txt
%doc	USAGE.txt

%dir	%{_sysconfdir}/%{name}
%config(noreplace)	%{_sysconfdir}/%{name}/*.xyzsh

%{_bindir}/%{name}
%dir	%{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}
%{_libexecdir}/%{name}/mattr

%{_mandir}/man1/%{name}.1*

%changelog
* Tue Apr  2 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.8-1
- 1.1.8

* Mon Mar 18 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.6-1
- 1.1.6

* Sun Mar 10 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.5-1
- 1.1.5

* Fri Mar  8 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.4-2
- 1.1.4

* Sun Feb 10 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.3-1
- 1.1.3

* Thu Jan 24 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.1-1
- 1.1.1

* Fri Jan 18 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.0-1
- 1.1.0
- Fix typo on summary (bug 896226)

* Tue Jan  8 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.8-1
- 1.0.8

* Wed Jan  2 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.6-1
- 1.0.6

* Wed Nov 14 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.4-1
- 1.0.4

* Sun Nov 11 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.3-1
- Initial packaging

